/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_MAIN_H)
#define _MAIN_H

#ifdef  LOG_TAG
#undef  LOG_TAG
#endif
#define LOG_TAG "$(appName)"

#define EDJ_PATH "edje/main.edj"

#include <efl_extension.h>

typedef struct widget_instance_data {
	Evas_Object *win;
	Evas_Object *conform;
	Evas_Object *nf;
	Evas_Object *layout;
	Evas_Object *alarm_view;
	Eext_Circle_Surface *circle_surface;
	Elm_Object_Item *basic_item;
	char *saved_time;
	char *alarm_id;
	const char *instance_id;
	int alarm_on;

	int root_width;
	int root_height;
	int port_id_alarm;
} widget_instance_data_s;

#endif
